<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <script src="https://unpkg.com/htmx.org@1.9.0" integrity="sha384-aOxz9UdWG0yBiyrTwPeMibmaoq07/d3a96GCbb9x60f3mOt5zwkjdbcHFnKH8qls" crossorigin="anonymous"></script>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/water.css@2/out/water.css">
        <title>Omega Bank</title>
    </head>

    <body>
        <header>
            {% if user.is_staff %}
            <h2>Omega Bank – Staff Portal</h2>
            {% else %}
            <h2>Omega Bank – Customer Portal</h2>
            {% endif %}
        </header>
        <nav>
            {% if user.is_staff %}
            <a href="{% url 'bank_app:staff_approve_loans' %}">Approve Loans</a>
            {% else %}
            <a href="{% url 'bank_app:make_transfer' %}">Transfer</a>
            <a href="{% url 'bank_app:take_loan' %}">Apply for loan</a>
            {% endif %}
            <a href="{% url 'logout' %}">Log Out</a>
        </nav>
        <main>
            {% block main %}
            {% endblock main %}
        </main>
        <footer>
            <table>
                <tr>
                    <td><h6>Omega Bank Global</h6></td>
                    <td><h6>Copenhagen, Denmark</h6></td>
                    <td><h6>Copyright 2023</h6></td>
                </tr>
            </table>
        </footer>
        <script src="https://unpkg.com/htmx.org@1.5.0" integrity="sha384-oGA+prIp5Vchu6we2YkI51UtVzN9Jpx2Z7PnR1I78PnZlN8LkrCT4lqqqmDkyrvI" crossorigin="anonymous"></script>

        <script>
            document.body.addEventListener('htmx:configRequest', (event) => {
                event.detail.headers['X-CSRFToken'] = '{{ csrf_token }}';
            })
        </script>
    </body>
</html>
